<template>
  <div class="form">
    <div class="form-item form-item__textarea">
      <div class="form-item__title">
        <em>*</em>
        <h2>帮扶内容</h2>
      </div>
      <textarea :maxlength="500" v-model="detail" placeholder="请输入帮扶内容"></textarea>
    </div>
    <div class="form-item form-item__imgs">
      <div class="form-item__title">
        <h2>图片</h2>
        <i>（最多9张）</i>
      </div>
      <div>
        <AiUploader :limit="9" multiple :def.sync="picture"></AiUploader>
      </div>
    </div>
    <div class="btn" @click="submit">提交</div>
  </div>
</template>

<script>

export default {
  data() {
    return {
      detail: '',
      pid: '',
      id: '',
      picture: []
    }
  },


  onLoad(query) {
    if (query.id) {
      this.getInfo(query.id)
      this.id = query.id
    }
    this.pid = query.pid
  },

  methods: {
    getInfo(id) {
      this.$http.post(`/app/apppreventionreturntopovertylog/queryDetailById?id=${id}`).then(res => {
        if (res.code === 0) {
          this.detail = res.data.detail
          this.picture = JSON.parse(res.data.picture)
        }
      })
    },

    submit() {
      if (!this.detail) {
        return this.$u.toast('请输入帮扶内容')
      }

      uni.showLoading()
      this.$http.post('/app/apppreventionreturntopovertylog/addOrUpdate', {
        detail: this.detail,
        picture: JSON.stringify(this.picture),
        pid: this.pid,
        id: this.id || ''
      }).then(res => {
        if (res.code === 0) {
          this.$u.toast(this.isEdit ? '保存成功' : '提交成功')
          uni.$emit('reload')
          uni.navigateBack({
            delta: 1
          })
        }
        uni.hideLoading()
      })
    }
  }
}
</script>

<style lang="scss">
.form {
  padding-bottom: 120px;

  div {
    margin-bottom: 16px;
    background: #fff;
  }

  .form-item {
    padding: 32px;

    .form-item__title {
      display: flex;
      align-items: center;
      margin-bottom: 34px;

      em {
        margin-right: 4px;
        font-style: normal;
        color: #FF4466;
      }

      h2 {
        color: #333333;
        font-weight: normal;
        font-size: 32px;
      }

      i {
        color: #999999;
        font-size: 28px;
        font-style: normal;
      }
    }

    textarea {
      width: 100%;
    }
  }

  .form-type {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 112px;
    padding: 0 32px;

    h2 {
      font-weight: normal;
      color: #333333;
      font-size: 32px;
    }

    span {
      color: #999999;
      font-size: 28px;
    }
  }

  .btn {
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 11;
    width: 100%;
    height: 112px;
    line-height: 112px;
    margin: 0;
    text-align: center;
    color: #FFFFFF;
    font-size: 32px;
    background: #3192F4;
  }
}
</style>
